.root {
  cursor: pointer;
  padding: .325rem;
  vertical-align: middle;

  & div {
    width: 35px;
    height: 5px;
    background-color: #000;
    margin: 6px 0;
    transition: .4s;
    border-radius: 2px;
  }
}

.root_active {
  & div:nth-of-type(1) {
    transform: rotate(-45deg) translate(-9px, 6px);
  }

  & div:nth-of-type(2) {
    opacity: 0;
  }

  & div:nth-of-type(3) {
    transform: rotate(45deg) translate(-8px, -8px);
  }
}
